# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           openstack-cts
Version:        4.0.2
Release:        1%{?dist}
Summary:        Red Hat Open Stack Certification TestSuite

Group:          Applications/System
License:        GPLv2+
URL:            http://www.redhat.com
Source0:        %{name}-%{version}.tar.gz
Source1:        python-techilla-4.4.3.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-netaddr
Requires:       python-neutronclient
Requires:       python-glanceclient
Requires:       python-cinderclient
Requires:       python-pycurl

%description

Red Hat OpenStack Certification TestSuite tool aid in collecting data for 
determining compatibility against the specific components of RHOS 4.0

%prep
%setup -q

# Extract techilla
%setup -q -T -D -a 1


%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Install techilla
cd python-techilla-4.4.3
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT
cd ..


%files
%doc README
# For noarch packages: sitelib
%{python_sitelib}/openstack_cts*
%{python_sitelib}/ctsstorage*
%{python_sitelib}/ctsnetwork*
%{python_sitelib}/librhos*
%{python_sitelib}/python_techilla-4.4.3*
%{python_sitelib}/bz_xmlrpc*
%{_bindir}/rhoscts
%{_sysconfdir}/rhoscts/bugzilla.conf
%{_sysconfdir}/rhoscts/storage.ini
%{_sysconfdir}/rhoscts/network.ini
%{_sysconfdir}/rhoscts/api.conf
%{_sysconfdir}/techilla/techilla.conf


%changelog

* Fri Dec 27 2013 Ramakrishna Reddy Yekulla <rreddy@redhat.com> 4.0.2-1
  - Fixed BZ#1046670
  - setup.py updated to 4.0.2

* Fri Dec 20 2013 Neeti Dahiya <ndahiya@redhat.com> 4.0.1-1
  - Included coverage for Neutron API coverage

* Tue Dec 3 2013 Neeti Dahiya <ndahiya@redhat.com> 4.0.beta3
  - Fixed BZ#1036592
  - Fixed BZ#1036131
  - Fixed BZ#1036154

* Wed Nov 27 2013 Ramakrishna Reddy Yekulla <rreddy@redhat.com> 4.0.beta2-2
  - Updating the version of python-techilla
  - Introducing python-pycurl dependency

* Wed Nov 27 2013 Neeti Dahiya <ndahiya@redhat.com> 4.0.beta2
 - Minor changes to the source and SPEC file 

* Wed Nov 13 2013 Kushal Das <kdas@redhat.com> 4.0.beta1-1
  - Fixed BZ#1017148
  - Fixed BZ#1017150
  - Fixed BZ#1017152
  - Fixed BZ#1017155
  - Fixed BZ#1017160
  - Fixed BZ#1017165
  - Fixed BZ#1017166
  - Fixed BZ#1017178
  - Fixed BZ#1017187
  - Fixed BZ#1017188
  - Fixed BZ#1017189
  - Fixed BZ#1017206
  - Fixed BZ#996890
  - Fixed BZ#986702
  - Fixed BZ#989587
  - Fixed BZ#989617

* Thu Jul 04 2013 Ramakrishna Reddy Yekulla <rreddy@redhat.com> 3.0.2rc2-1
  - Fixed BZ#980919

* Wed Jul 03 2013 Ramakrishna Reddy Yekulla <rreddy@redhat.com> 3.0.2rc1-2
  - Fixed BZ#979020
  - Fixed BZ#979449

* Fri Jun 28 2013 Ramakrishna Reddy Yekulla <rreddy@redhat.com> 3.0.2rc1-1
  - Minor Documentation Fixes in the User Guide

* Fri Jun 28 2013 Ramakrishna Reddy Yekulla <rreddy@redhat.com> 3.0.2beta4-1
  - Fixed BZ#978926, BZ#979020, BZ#977765, BZ#978924 

* Wed Jun 26 2013 Ramakrishna Reddy Yekulla <rreddy@redhat.com> 3.0.2beta3-1
  - Backend changes to bugzilla product 
  - Fixed BZ#978294 , BZ#977765  

* Mon Jun 24 2013 Ramakrishna Reddy Yekulla <rreddy@redhat.com> 3.0.2beta2-1
  - User guide included in the Red Hat OpenStack 3.0 CTS Build
  - Fixed BZ#971848 

* Wed Jun 19 2013 Ramakrishna Reddy Yekulla <rreddy@redhat.com> 3.0.2beta1-1
  - Fixed BZ#974571, BZ#974566, BZ#974573, BZ#974575
  - Changes introduced in cinder.ini file 

* Thu Jun 13 2013 Ramakrishna Reddy Yekulla <rreddy@redhat.com> 3.0.1-1
  - Checks to gather system data
  - Quantum and Cinder configuration files.
  - CTS test configuration files also being gathered 

* Thu Jun 06 2013 Ramakrishna Reddy Yekulla <rreddy@redhat.com> 3.0.1beta2
  - Added the Software license for the tool
  - Introduced librhos python module  

* Wed May 29 2013 Ramakrishna Reddy Yekulla <rreddy@redhat.com> 3.0.1.beta20130529-7
  - Extended coverage for Quantum SecurityGroups API for RHOS 3.O
  - Tool now has a package dependency of python-quantumclient 

* Mon May 27 2013 Ramakrishna Reddy Yekulla <reddy@redhat.com> 3.0.beta20130527-6
  - Changing all the rhocts references to rhoscts

* Fri May 24 2013 Ramakrishna Reddy Yekulla <rreddy@redhat.com> 3.0.beta20130524-5
  - Fixed the skip build issues in spec file for techilla integration 

* Thu May 23 2013 Ramakrishna Reddy Yekulla <rreddy@redhat.com> 3.0.beta20130523-4
  - Fixes in the configuration paths and log file access path

* Wed May 22 2013 Ramakrishna Reddy Yekulla <rreddy@redhat.com> 3.0.beta20130522-1
  - Beta of the Red Hat OpenStack TestSuite
